Zum Hauptinhalt springen
PATCH
/
endpoint
Verfügbare Produkte aktualisieren
curl --request PATCH \
  --url https://api.example.com/endpoint
import requests

url = "https://api.example.com/endpoint"

response = requests.patch(url)

print(response.text)
const options = {method: 'PATCH'};

fetch('https://api.example.com/endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Verwenden Sie diesen Endpoint, um die Liste der verfügbaren (vorrätigen) Produkte mithilfe einer Liste von IDs aller verfügbaren Artikel zu aktualisieren. Dies muss als JSON-Anfrage gesendet werden.

HTTP-Anfrage

PATCH https://api.products.kameleoon.com/import/products

Liste der Abfrageparameter

ParameterTypErforderlichBeschreibung
shop_idStringJaIhr Store Key. Sie finden ihn in Recommendations > Settings > Store settings in der Kameleoon App. Sie können sich auch an Ihren Customer Success Manager wenden, um den Schlüssel zu erhalten.
shop_secretStringJaIhr Secret Key. Sie finden ihn in Recommendations > Settings > Store settings in der Kameleoon App. Sie können sich auch an Ihren Customer Success Manager wenden, um den Schlüssel zu erhalten.
itemsListJaEine Liste der Produkt-IDs, die vorrätig sind. Listen Sie die Identifikatoren aller verfügbaren (vorrätigen) Produkte auf. Artikel in der Datenbank, die nicht in der PATCH-Anfrage enthalten sind, werden als nicht verfügbar (nicht vorrätig) markiert.

Beispiel-JSON-Anfrage

{
    "shop_id": "eehj3eu84299kg5ghw5a6743r8",
    "shop_secret": "pmd5362597thrgq8k256ep01t0",
    "items": ["1235", "4337", "7578"]
}